SimpleFeatureHolder (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.SimpleFeatureHolder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class SimpleFeatureHolder

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.seq.AbstractFeatureHolder
              org.biojava.bio.seq.SimpleFeatureHolder

All Implemented Interfaces:
  Serializable, FeatureHolder, Changeable

    public class SimpleFeatureHolder

extends AbstractFeatureHolder
implements Serializable

A no-frills implementation of FeatureHolder.

Author:
  Matthew Pocock, Thomas Down
See Also:
  `RichFeatureHolder`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Field Summary

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER, FEATURES, SCHEMA`

Constructor Summary
`SimpleFeatureHolder()` Construct a new SimpleFeatureHolder with a non-informative schema.
`SimpleFeatureHolder(FeatureFilter schema)` Construct a new SimpleFeatureHolder with the specified schema.

Method Summary
`void` | `addFeature(Feature f)` Add a feature to the featureholder
`boolean` | `containsFeature(Feature f)` Check if the feature is present in this holder.
`int` | `countFeatures()` Count how many features are contained.
`Iterator` | `features()` Iterate over the features in no well defined order.
`protected List` | `getFeatures()` Returns the list of features in this featureholder.
`FeatureFilter` | `getSchema()` Return a schema-filter for this `FeatureHolder`.
`void` | `removeFeature(Feature f)` Remove a feature from this FeatureHolder.

Methods inherited from class org.biojava.bio.seq.AbstractFeatureHolder
`createFeature, filter, filter`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### SimpleFeatureHolder

    public SimpleFeatureHolder()

  Construct a new SimpleFeatureHolder with a non-informative schema.

### SimpleFeatureHolder

    public SimpleFeatureHolder(FeatureFilter schema)

  Construct a new SimpleFeatureHolder with the specified schema.

Method Detail

### getFeatures

    protected List getFeatures()

  Returns the list of features in this featureholder.

### countFeatures

    public int countFeatures()

  Description copied from interface: `FeatureHolder`
  Count how many features are contained.

  Specified by:
    `countFeatures` in interface `FeatureHolder`
  Returns:
    a positive integer or zero, equal to the number of features contained

### features

    public Iterator features()

  Description copied from interface: `FeatureHolder`
  Iterate over the features in no well defined order.

  Specified by:
    `features` in interface `FeatureHolder`
  Returns:
    an Iterator

### addFeature

    public void addFeature(Feature f)
                    throws ChangeVetoException

  Add a feature to the featureholder

  Throws:
    `ChangeVetoException`

### removeFeature

    public void removeFeature(Feature f)
                       throws ChangeVetoException

  Description copied from interface: `FeatureHolder`
  Remove a feature from this FeatureHolder.

  Specified by:
    `removeFeature` in interface `FeatureHolder`
  Overrides:
    `removeFeature` in class `AbstractFeatureHolder`
  Throws:
    `ChangeVetoException` - if this FeatureHolder does not support feature removal or if the change was vetoed

### containsFeature

    public boolean containsFeature(Feature f)

  Description copied from interface: `FeatureHolder`
  Check if the feature is present in this holder.

  Specified by:
    `containsFeature` in interface `FeatureHolder`
  Parameters:
    `f` - the Feature to check
  Returns:
    true if f is in this set

### getSchema

    public FeatureFilter getSchema()

  Description copied from interface: `FeatureHolder`
  Return a schema-filter for this `FeatureHolder`. This is a filter which all `Feature`s immediately contained by this `FeatureHolder` will match. It need not directly match their child features, but it can (and should!) provide information about them using `FeatureFilter.OnlyChildren` filters. In cases where there is no feature hierarchy, this can be indicated by including `FeatureFilter.leaf` in the schema filter.

  For the truly non-informative case, it is possible to return `FeatureFilter.all`. However, it is almost always possible to provide slightly more information that this. For example, `Sequence` objects should, at a minimum, return `FeatureFilter.top_level`. `Feature` objects should, as a minimum, return `FeatureFilter.ByParent(new FeatureFilter.ByFeature(this))`.

  Specified by:
    `getSchema` in interface `FeatureHolder`
  Returns:
    the schema filter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD